<?php
/**
 * For most people, just lists the course categories.
 * Allows the admin to create, delete and rename course categories.
 *
 * @author  Alicia García Holgado aliciagh@usal.es
 * @version 1.0
 * @license http://www.gnu.org/copyleft/gpl.html GNU Public License
 * @package mod/usercategories
 */

require_once("../../config.php");
require_once($CFG->dirroot.'/course/lib.php');
require_once('lib.php');

$id = optional_param('id', 0, PARAM_INT);
$move = optional_param('move', 0, PARAM_INT);
$catid = optional_param('catid', 0, PARAM_INT);
$last = optional_param('last', 0, PARAM_INT);

require_login();

print_header("$SITE->shortname: ". get_string('categories'), get_string('courses'),
    build_navigation(array(array('name'=>get_string('categories'),'link'=>'','type'=>'misc'))), '', '', true);

// Move a course to other user category.
if(!empty($move) && !empty($catid) && !empty($last) && $last != $catid) { // movemos el curso a la categoría indicada
    if ($last!=-1 && !get_record('usercategories', 'id', $last, 'userid', $USER->id)) {
        error(get_string('noexists', 'usercategories'), 'category.php');
    }
    if($catid == -1) {
        delete_records('usercategories_course', 'categoryid', $last, 'courseid', $move);
	} else {
		if(!get_record('usercategories', 'id', $catid, 'userid', $USER->id)) {
			error(get_string('noexistsnew', 'usercategories'), 'category.php');
		}
		
		if($last != -1) {
			if($catid == -1) {
				delete_records('usercategories_course', 'categoryid', $last, 'courseid', $move);
			} else {
			    execute_sql('update '.$CFG->prefix.'usercategories_course set categoryid='.$catid.' where courseid='.$move, false);
			}
		} else {
			execute_sql('insert into '.$CFG->prefix.'usercategories_course (courseid, categoryid) values ('.$move.', '.$catid.')', false);
		}
	}
}
    
if (!empty($id) && $id == -1) { // Display courses without user category.
    print_heading(get_string('nocategory', 'usercategories'));
	
   	print_category_list($id);
	
	print_footer();
	die;
} elseif (!empty($id)) { // Display one user category.
   	if (!$cat = get_record('usercategories', 'id', $id, 'userid', $USER->id)) {
   	    error(get_string('noexists', 'usercategories'), 'category.php');
    }
    print_heading(get_string('category').': '.$cat->name);
	
    print_category_list($cat);
	
	print_footer();
	die;
}

print_heading(get_string('categories'));

print_category_edit();
	
echo '<div class="buttons" style="text-align:center">';
$options= array('categoryadd' => 'yes');
print_single_button('edit_category.php', $options, get_string('addnewcategory'), 'get');
echo '</div>';

print_footer();

?>