<?php
require_once("../../config.php");
require_once($CFG->dirroot.'/course/lib.php');
require_once('editcategory_form.php');

$id = optional_param('id', 0, PARAM_INT);
$categoryadd    = optional_param('categoryadd', 0, PARAM_BOOL);  // Enables the Add Category form.

if (!$site = get_site()) {
   	error("Site isn't defined!");
}

require_login();
	
if ($categoryadd) { // Show Add category form: if $id is given, it is used as the parent category.
    $strtitle = get_string("addnewcategory");
    $category = null;
} elseif (!is_null($id)) { // Show Edit category form: $id is given as the identifier of the category being edited.
    $strtitle = get_string("editcategorysettings");
    if (!$category = get_record('usercategories', 'id', $id, 'userid', $USER->id)) {
        error(get_string('noexist', 'usercategories'));
    }
}
	
$mform = new editcategory_form('edit_category.php', compact(array('category', 'id')));

if (!empty($category)) {
    $mform->set_data($category); 
} else {
    $data = new stdClass();
    $data->id = 0;
    $data->categoryadd = 1;
    $mform->set_data($data);
}

if ($mform->is_cancelled()){
    redirect($CFG->wwwroot .'/mod/usercategories/category.php');
} elseif (($data = $mform->get_data())) {
	if(empty($data->ordercat)) $data->ordercat = "0";
	if (empty($category)) { // Create a new category
        if (!execute_sql('insert into '.$CFG->prefix.'usercategories (userid,name,ordercat) values ('.$USER->id.',"'.$data->name.'",'.$data->ordercat.')', false)) {
            notify( get_string('noinsert', 'usercategories')." "."'$data->name'");
        } else {
            redirect('category.php');
        }
    } else {
    	if(strcmp($data->name, $category->name) != 0 || $data->ordercat != $category->ordercat) {
        	execute_sql('update '.$CFG->prefix.'usercategories set name="'.$data->name.'", ordercat='.$data->ordercat.' where userid='.$USER->id.' and id='.$data->id, false);
		}
		
		redirect('category.php');
    }
}

print_header("$SITE->shortname: ". $strtitle, get_string('courses'),
    build_navigation(array(array('name'=>get_string('categories'),'link'=>'','type'=>'misc'))), '', '', true);
print_heading($strtitle);

$mform->display();

print_footer();
	
?>